# Credit

#### new Cesium.Credit(html, showOnScreen)
Core/Credit.js 32

A credit contains data pertaining to how to display attributions/credits for certain content on the screen.

Name | Type | Default | Description
--- | --- | --- | ---
`html` | String |  | An string representing an html code snippet
`showOnScreen` | Boolean | `false` | optional If true, the credit will be visible in the main credit container. Otherwise, it will appear in a popover

##### Throws:

- DeveloperError : html is required.

##### Example:

    //Create a credit with a tooltip, image and link
    var credit = new Cesium.Credit('<a href="https://cesiumjs.org/" target="_blank"><img src="/images/cesium_logo.png" title="Cesium"/></a>');

### Members

#### readonlyelement : HTMLElement
Core/Credit.js 99

Gets the credit element

#### readonlyhtml : String
Core/Credit.js 62

The credit content

#### readonlyshowOnScreen : Boolean
Core/Credit.js 87

Whether the credit should be displayed on screen or in a lightbox

### Methods

#### staticCesium.Credit.clone(credit) → Credit
Core/Credit.js 164

Duplicates a Credit instance.

Name | Type | Description
--- | --- | ---
`credit` | Credit | optional The Credit to duplicate.

##### Returns:

A new Credit instance that is a duplicate of the one provided. (Returns undefined if the credit is undefined)

#### staticCesium.Credit.equals(left, right) → Boolean
Core/Credit.js 128

Returns true if the credits are equal

Name | Type | Description
--- | --- | ---
`left` | Credit | The first credit
`right` | Credit | The second credit

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### equals(credit) → Boolean
Core/Credit.js 141

Returns true if the credits are equal

Name | Type | Description
--- | --- | ---
`credit` | Credit | The credit to compare to.

##### Returns:

`true` if left and right are equal, `false` otherwise.